org.eclnt.jsfserver.elements.componentnodes

## Class ROWDISTANCENode

- java.lang.Object
- - org.eclnt.jsfserver.elements.impl.ROWDYNAMICCONTENTBinding.ComponentNode
  - - org.eclnt.jsfserver.elements.componentnodes.ROWDISTANCENode

- All Implemented Interfaces:
    java.io.Serializable

      public class ROWDISTANCENode
      extends ROWDYNAMICCONTENTBinding.ComponentNode

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ROWDISTANCENode()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ROWDISTANCENode` | `bindAdapterbinding(IDynamicContentBindingObject value)`
    `ROWDISTANCENode` | `bindComment(IDynamicContentBindingObject value)`
    `ROWDISTANCENode` | `bindConfiginfo(IDynamicContentBindingObject value)`
    `ROWDISTANCENode` | `bindHeight(IDynamicContentBindingObject value)`
    `ROWDISTANCENode` | `bindRendered(IDynamicContentBindingObject value)`
    `ROWDISTANCENode` | `bindStylevariant(IDynamicContentBindingObject value)`
    `ROWDISTANCENode` | `setAdapterbinding(java.lang.String value)`
    `ROWDISTANCENode` | `setAttributemacro(java.lang.String value)`
    `ROWDISTANCENode` | `setComment(java.lang.String value)`
    `ROWDISTANCENode` | `setConfiginfo(java.lang.String value)`
    `ROWDISTANCENode` | `setHeight(int value)`
    `ROWDISTANCENode` | `setHeight(java.lang.String value)`
    `ROWDISTANCENode` | `setId(java.lang.String value)`
    `ROWDISTANCENode` | `setReference(java.lang.String value)`
    `ROWDISTANCENode` | `setRendered(boolean value)`
    `ROWDISTANCENode` | `setRendered(java.lang.String value)`
    `ROWDISTANCENode` | `setStylevariant(java.lang.String value)`

    - ### Methods inherited from class org.eclnt.jsfserver.elements.impl.ROWDYNAMICCONTENTBinding.ComponentNode

      `addAttribute, addAttribute, addSubNode, getAttribute, getAttributesMap, getAttributeValue, getSubNodes, getTagName, toString, toXML`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ROWDISTANCENode

          public ROWDISTANCENode()

  - ### Method Detail

    - #### setId

          public ROWDISTANCENode setId(java.lang.String value)

    - #### setAdapterbinding

          public ROWDISTANCENode setAdapterbinding(java.lang.String value)

    - #### bindAdapterbinding

          public ROWDISTANCENode bindAdapterbinding(IDynamicContentBindingObject value)

    - #### setAttributemacro

          public ROWDISTANCENode setAttributemacro(java.lang.String value)

    - #### setComment

          public ROWDISTANCENode setComment(java.lang.String value)

    - #### bindComment

          public ROWDISTANCENode bindComment(IDynamicContentBindingObject value)

    - #### setConfiginfo

          public ROWDISTANCENode setConfiginfo(java.lang.String value)

    - #### bindConfiginfo

          public ROWDISTANCENode bindConfiginfo(IDynamicContentBindingObject value)

    - #### setHeight

          public ROWDISTANCENode setHeight(java.lang.String value)

    - #### bindHeight

          public ROWDISTANCENode bindHeight(IDynamicContentBindingObject value)

    - #### setHeight

          public ROWDISTANCENode setHeight(int value)

    - #### setReference

          public ROWDISTANCENode setReference(java.lang.String value)

    - #### setRendered

          public ROWDISTANCENode setRendered(java.lang.String value)

    - #### bindRendered

          public ROWDISTANCENode bindRendered(IDynamicContentBindingObject value)

    - #### setRendered

          public ROWDISTANCENode setRendered(boolean value)

    - #### setStylevariant

          public ROWDISTANCENode setStylevariant(java.lang.String value)

    - #### bindStylevariant

          public ROWDISTANCENode bindStylevariant(IDynamicContentBindingObject value)

Copyright © CaptainCasa Gmbh. All Rights Reserved.